Subject: Re: bug#47379: "statfs" test in tests/syscall.scm fails with BTRFS file systems.

From: Efraim Flashner <[email-masked]>
Date: Thu, 25 Mar 2021 12:25:14 +0200

On Thu, Mar 25, 2021 at 11:16:25AM +0100, Maxime Devos wrote:
> On Thu, 2021-03-25 at 12:04 +0200, Efraim Flashner wrote:
> > [...]
> > I'm also running on btrfs
> > (ins)scheme@(guile-user)> (statfs "/")
> > [...]
> > 
> > (ins)efraim@3900XT ~$ btrfs filesystem df /
> > Data, single: total=289.00GiB, used=287.83GiB
> > System, single: total=32.00MiB, used=48.00KiB
> > Metadata, single: total=13.00GiB, used=12.07GiB
> > GlobalReserve, single: total=512.00MiB, used=0.00B
> > 
> > When was the last time you ran btrfs balance?
> 
> ... never? My output of "btrfs filesystem df" FWIW:
> 
> $ btrfs filesystem df /
> Data, single: total=224.01GiB, used=223.14GiB
> System, DUP: total=8.00MiB, used=48.00KiB
> Metadata, DUP: total=14.00GiB, used=13.81GiB
> GlobalReserve, single: total=512.00MiB, used=0.00B
> 
> Are there any reasons for running "btrfs balance"?
> If so, what command do you recommend (I assume something
> only touching meta data?)
> 

btrfs balance moves the free space around so that you have fewer blocks
with extra freed space. I normally run 'btrfs balance start -dusage=70
-musage=80 $mountpoint'. (unless I have it backwards) this takes any
blocks with data which are less than 70% used and metadata blocks with
less than 80% used and re-arranges them to effectively make the total
space allocated closer to the actual space used. Running it with 50 is
normally plenty.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted